---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libframepop01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0x2598, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1E398, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x1E4E8, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0xDF, offset: 0xDF, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1E4F0, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x111, offset: 0x111, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x1E4F8, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x12A, offset: 0x12A, size: 0x8, addend: 0x0, symName: __ZL4pops, symObjAddr: 0x2990, symBinAddr: 0x4010, symSize: 0x0 }
  - { offsetInCU: 0x1AE, offset: 0x1AE, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x1E500, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x1DE, offset: 0x1DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1E508, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8DC7, offset: 0x8DC7, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1E510, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8E2C, offset: 0x8E2C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x280C, symSize: 0x24 }
  - { offsetInCU: 0x90B8, offset: 0x90B8, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x37C, symBinAddr: 0x242C, symSize: 0x16C }
  - { offsetInCU: 0x9368, offset: 0x9368, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xC70, symBinAddr: 0x2830, symSize: 0xF0 }
  - { offsetInCU: 0x957A, offset: 0x957A, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0xD60, symBinAddr: 0x2920, symSize: 0x464 }
  - { offsetInCU: 0x99FC, offset: 0x99FC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x11C4, symBinAddr: 0x2D84, symSize: 0x164 }
  - { offsetInCU: 0x9C6D, offset: 0x9C6D, size: 0x8, addend: 0x0, symName: _Java_framepop01_check, symObjAddr: 0x1328, symBinAddr: 0x2EE8, symSize: 0x304 }
  - { offsetInCU: 0xA009, offset: 0xA009, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x162C, symBinAddr: 0x31EC, symSize: 0x30 }
  - { offsetInCU: 0xA086, offset: 0xA086, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x165C, symBinAddr: 0x321C, symSize: 0x4 }
  - { offsetInCU: 0xA0CE, offset: 0xA0CE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x165C, symBinAddr: 0x321C, symSize: 0x4 }
  - { offsetInCU: 0xA0E0, offset: 0xA0E0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1660, symBinAddr: 0x3220, symSize: 0x4 }
  - { offsetInCU: 0xA128, offset: 0xA128, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1660, symBinAddr: 0x3220, symSize: 0x4 }
...
